<template>
  <div class="navigation">
    <div class="navigation-contents" v-show="!simBtn">
      <div
        class="navigation-item bg1"
        :class="{ 'bg1-active': currentIndexs == 1 }"
        @click="handleClickHome(1)"
      >
        综合展示
      </div>
      <div
        class="navigation-item bg2"
        :class="{ 'bg2-active': currentIndexs == 2 }"
        @click="handleClickHome(2)"
        style="margin-left: 15%"
      >
        模拟仿真
      </div>
    </div>
    <div class="navigation-content" v-show="simBtn">
      <div
        class="navigation-item bg1"
        :class="{ 'bg1-active': currentIndex == 1 }"
        @click="handleClick(1)"
      >
        隐患概览
      </div>
      <div
        class="navigation-item bg2"
        :class="{ 'bg2-active': currentIndex == 2 }"
        @click="handleClick(2)"
      >
        综合监测
      </div>
      <div
        class="navigation-item bg3"
        :class="{ 'bg3-active': currentIndex == 3 }"
        @click="handleClick(3)"
      >
        仿真推演
      </div>
      <div
        class="navigation-item bg4"
        :class="{ 'bg4-active': currentIndex == 4 }"
        @click="handleClick(4)"
      >
        模拟评价
      </div>
    </div>
    <div class="navigation-bg"></div>
  </div>
</template>

<script setup>
import { useRouter } from "vue-router";
import { useSimStore } from "@/store/simulation";
import { ref,watch} from "vue";

const simBtn = ref(false);
const currentIndexs = ref(1);
const router = useRouter();
const simStore = useSimStore();
const isShow = ref(false);
const { handleNavClick } = simStore;
const currentIndex = ref(0);
const handleClick = (index) => {
  handleNavClick(index);
  currentIndex.value = index;
  // 处理特定城市逻辑
  if (index === 1) {
    isShow.value = !isShow.value;
    let desc = null;
    if (defaultCity === "北京市") {
      desc = {
        func_name: "HiddenFronTag",
        Name: "channel",
        visibility: isShow.value,
      };
    } else {
      desc = {
        Simulation: true,
        type: "POI",
        tag: "POI-GS",
        Visible: isShow.value,
      };
    }
    ps.emitMessage(desc);
  }
  const routes = ["", "/yhgl", "/zhjc", "/mnfz", "/mnpg"];
  router.push(routes[index]);
};
watch(
    () => simStore.backToHome,
    (newValue) => {
        if (newValue) {
            simBtn.value = false;
            simStore.setBackToHome(false);
        }
    }
);
const handleClickHome = (index) => {
  if (index === 1) {
    router.push("/");
  } else {
    simBtn.value = true;
  }
};
</script>

<style lang="less" scoped>
@import url("../../assets/css/navigation.css");
</style>
